Validate an action in a conversation message
curl --request POST \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/validate-action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionId": "<string>",
"approved": true
}
'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/validate-action"
payload = {
"actionId": "<string>",
"approved": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({actionId: '<string>', approved: true})
};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/validate-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Conversations
Validate an action in a conversation message
Approves or rejects an action taken in a specific message in a conversation
POST
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
validate-action
Validate an action in a conversation message
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Workspace ID
Conversation ID
Message ID
Body
application/json
Response
Action validation successful
⌘I